glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Glib::Threads::Thread::Exit Class Reference
Threads

Exception class used to exit from a thread. More...

`#include <glibmm/threads.h>`

## Detailed Description

Exception class used to exit from a thread.

throw Glib::Threads::Thread::Exit();

Write this if you want to exit from a thread created by Threads::Thread::create(). Of course you must make sure not to catch Threads::Thread::Exit by accident, i.e. when using `catch(...)` somewhere in your code.